/*
 *  fpConv.h
 *  fp
 *
 *  Created by Robert Delaney on 4/24/09.
 *  Copyright 2009 __Bob Delaney's Science Software__. All rights reserved.
 *
 */

void equateWithCare(fp& x, const fp& y);
void equate(fp& x, const fp& y);
bool equate(fp& x, const char *xString);
void equate(mb& z, const fp& x);
void equate(fp& z, const mb& x);
void equate(fp& x, double y);
bool equate(double& z, const fp& x);
bool equate(INT32& z, const fp& x);
void equate(char*& xString, const fp& x, INT32 decPrec);
char* fpToStr(const fp& x, INT32 decPrec);
char* fpToStr2(INT32& DecExp, const fp& x, INT32 decPrec);
bool checkInputString(const char *inString);
bool fpConvFromString(fp& z, const char* inString);
bool init(fp& x);
bool init(fp& x, const char *inString);
bool init(fp& x, INT32 y);
bool init(fp& x, INT64 y);
bool init(fp& x, double y);
void long32tofp(fp&z, long x);
void long64tofp(fp&z, long x);
char* GetNumberFromLog(const fp& x);
